<?php 
$post_format = get_post_format();
$market_bclass = ( has_post_thumbnail() ) ? '' : 'no-thumb ';
$market_bclass .= 'clearfix';
?>
<div id="post-<?php the_ID();?>" <?php post_class( $market_bclass ); ?>>
	<div class="entry clearfix">			
		<div class="entry-thumb">	
			<?php if ( has_post_thumbnail() ){ ?>
			<a class="entry-hover" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail('thumbnail');?>				
			</a>
			<?php } ?>			
		</div>	
		<div class="entry-content">				
			<div class="content-top">
				<div class="entry-title">
					<h4><a href="<?php echo get_permalink($post->ID)?>"><?php echo $post->post_title;?></a></h4>
					<div class="entry-meta">
						<?php if( get_the_title() == '' ) { echo '<a href="'.get_the_permalink().'">'; } ?>
						<span class="post_day"><i class="fa fa-calendar" aria-hidden="true"></i><?php the_time('l, F j, Y'); ?></span>
						<?php if( get_the_title() == '' ) { echo '</a>'; } ?>
					</div>
				</div>
				<div class="entry-summary">
					<?php 												
					if ( preg_match('/<!--more(.*?)?-->/', $post->post_content, $matches) ) {
						$content = explode($matches[0], $post->post_content, 2);
						$content = $content[0];
						$content = wp_trim_words($post->post_content, 30, '...');
						echo $content;	
					} else {
						the_content('...');
					}		
					?>	
				</div>
				<div class="comment-post">
					<span class="comment">
						<a href="<?php comments_link(); ?>">						
							<?php 
							$qty_comment = $post->comment_count;
							echo $qty_comment . ' ' .( ($qty_comment > 1 ) ? esc_html__(' Comments', 'sw-market') : esc_html__(' Comment', 'sw-market')  );							
							?>
						</a>
					</span>
					<span class="entry-meta-link"><?php esc_html_e( "Posted By ", 'sw-market' )?><?php the_author_posts_link(); ?></span>	
				</div>
			</div>
		</div>

	</div>
</div>
