<?php $market_sidebar_template = market_options()->getCpanelValue('sidebar_blog') ;?>
<?php $market_blog_styles = market_options()->getCpanelValue('blog_layout'); ?>

<div class="market_breadcrumbs">
	<div class="container">
		<div class="listing-title">			
			<h1><span><?php market_title(); ?></span></h1>				
		</div>
		<?php
			if (!is_front_page() ) {
				if (function_exists('market_breadcrumb')){
					market_breadcrumb('<div class="breadcrumbs custom-font theme-clearfix">', '</div>');
				} 
			} 
		?>
	</div>
</div>

<div class="container">
	<div class="row">
		<!-- Sidebar Left -->
		<?php if ( market_sidebar_check('left-blog') && $market_sidebar_template != 'right_sidebar' && $market_sidebar_template !='full' ):
			$market_left_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_left_expand');
			$market_left_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_left_expand_md');
			$market_left_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_left_expand_sm');
		?>
		<aside id="left" class="sidebar <?php echo esc_attr($market_left_span_class); ?>">
			<?php dynamic_sidebar('left-blog'); ?>
		</aside>
		<?php endif; ?>
		
		<!-- Content BLog -->
		<div class="category-contents <?php market_content_blog(); ?>">
			
			<!-- No Result -->
			<?php if (!have_posts()) : ?>
			<?php get_template_part('templates/no-results'); ?>
			<?php endif; ?>			
			
			<?php 
				$market_blogclass = 'blog-content blog-content-'. $market_blog_styles;
				if( $market_blog_styles == 'grid' ){
					$market_blogclass .= ' row';
				}
			?>
			<div class="<?php echo esc_attr( $market_blogclass ); ?>">
			<?php 				
				while( have_posts() ) : the_post();
					get_template_part( 'templates/content', $market_blog_styles );
				endwhile;
			?>
			<?php get_template_part('templates/pagination'); ?>
			</div>
			<div class="clearfix"></div>
		</div>
		<!-- Sidebar right -->
		<?php if ( market_sidebar_check('right-blog') && $market_sidebar_template !='left_sidebar' && $market_sidebar_template !='full' ):
			$market_right_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_right_expand');
			$market_right_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_right_expand_md');
			$market_right_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_right_expand_sm');
		?>
		<aside id="right" class="sidebar <?php echo esc_attr($market_right_span_class); ?>">
			<?php dynamic_sidebar('right-blog'); ?>
		</aside>
		<?php endif; ?>
	</div>
</div>