<?php $market_my_phone = market_options()->getCpanelValue('phone_number'); ?>
<header id="header" class="header-style6">
	<div class="header-top">
		<div class="container">
			<?php if ( market_sidebar_check('top-left') ) {?>
			<div id="sidebar-top-left" class="sidebar-top-left pull-left">
				<?php dynamic_sidebar('top-left'); ?>
			</div>
			<?php }?>
			<?php if ( market_sidebar_check('top-right3') ) {?>
			<div id="sidebar-top-right3" class="sidebar-top-right3 pull-right">
				<?php dynamic_sidebar('top-right3'); ?>
			</div>
			<?php }?>	
		</div>
	</div>
	<div class="header-mid">
		<div class="container">
			<div class="market-logo col-lg-3 col-md-3 col-sm-12 col-xs-12 pull-left">
				<?php market_logo(); ?>
			</div>
			<div id="sidebar-mid-header" class="sidebar-mid-header col-lg-9 col-md-9 col-sm-12 col-xs-12 pull-left">
				<div class="widget sw_mid">
					<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
				</div>
				<?php get_template_part( 'woocommerce/minicart-ajax-style1' ); ?>
				<?php if($market_my_phone != '') {?>
				<div class="box-contact-phone pull-right">
					<h2><?php esc_html_e('Call us now','sw-market') ;?></h2>
					<p><?php esc_html_e('Toll free : ','sw-market') ;?><?php echo esc_html( $market_my_phone ) ?></p>
				</div>
				<?php }?>
			</div>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<?php if ( has_nav_menu('vertical_menu') ) {?>
				<div class="col-md-2 col-sm-2 vertical_megamenu-header verticle-menu-index pull-left">
					<div class="mega-left-title"><strong><?php esc_html_e('Categories','sw-market')?></strong></div>
					<div class="wrapper_vertical_menu vertical_megamenu">
						<?php wp_nav_menu(array('theme_location' => 'vertical_menu', 'menu_class' => 'nav vertical-megamenu')); ?>
					</div>
				</div>
				<?php } ?>
				<div class="col-md-7 col-sm-8 primary-menu-home pull-left">
					<?php if ( has_nav_menu('primary_menu') ) { ?>
					<div id="main-menu" class="main-menu clearfix">
						<nav id="primary-menu" class="primary-menu">
							<div class="mid-header clearfix">
								<a href="#" class="phone-icon-menu"></a>
								<div class="navbar-inner navbar-inverse">					
									<?php wp_nav_menu( array('theme_location' => 'primary_menu', 'menu_class' => 'nav nav-pills' ) ); ?>
								</div>
							</div>
						</nav>
					</div>			
					<?php } ?>
				</div>
				<?php if ( market_sidebar_check('menu-right') ) {?>
				<div id="sidebar-menu-right" class="sidebar-menu-right col-md-3 col-sm-2 pull-left">
					<?php dynamic_sidebar('menu-right'); ?>
				</div>
				<?php }?>
				<div class="sidebar-mid-header pull-right">
					<div class="widget sw_mid">
						<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</header>