<div id="<?php echo esc_attr( 'tab_cat_'. $target ); ?>" class="woo-tab-container-slider responsive-slider loading clearfix" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>">
	<div class="resp-slider-container">
		<div class="slider responsive">
		<?php 
		$count_items 	= 0;
		$numb 			= ( $list->found_posts > 0 ) ? $list->found_posts : count( $list->posts );
		$count_items 	= ( $numberposts >= $numb ) ? $numb : $numberposts;
		$i 				= 0;
		$j				= 0;
		while($list->have_posts()): $list->the_post();
		global $product, $post;
		$class = ( $product->get_price_html() ) ? '' : 'item-nonprice';
		if( $i % $item_row == 0 ){
	?>
		<div class="item <?php echo esc_attr( $class )?> product clearfix">
			<?php } ?>
			<div class="item-wrap">
				<div class="item-detail">										
					<div class="item-img products-thumb">
						<?php if ($product->is_on_sale()) : ?>
							<?php echo apply_filters('woocommerce_sale_flash', '<span class="onsale">'.esc_html__( 'Sale', 'sw_woocommerce' ).'</span>', $post, $product); ?>
						<?php endif; ?>		
						<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'shop-image' ); ?></a>
						<?php echo sw_quickview(); ?>
					</div>										
					<div class="item-content">																			
						<h4><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_title(); ?></a></h4>
						<!-- rating  -->
						<?php 
						$rating_count = $product->get_rating_count();
						$review_count = $product->get_review_count();
						$average      = $product->get_average_rating();
						?>
						<div class="reviews-content">
							<div class="star"><?php echo ( $average > 0 ) ?'<span style="width:'. ( $average*13 ).'px"></span>' : ''; ?></div>
						</div>	
						<!-- end rating  -->								
						<!-- price -->
						<?php if ( $price_html = $product->get_price_html() ){?>
						<div class="item-price">
							<span>
								<?php echo $price_html; ?>
							</span>
						</div>
						<?php } ?>
						<?php do_action( 'woocommerce_after_shop_loop_item' ); ?>
					</div>								
				</div>
			</div>
			<?php if( ( $i+1 ) % $item_row == 0 || ( $i+1 ) == $count_items ){?> </div><?php } ?>
			<?php $i++; $j++; endwhile; wp_reset_postdata();?>
		</div>
	</div>
</div>