<?php 
add_action( 'vc_before_init', 'SW_shortcodeVC' );
function SW_shortcodeVC(){
$target_arr = array(
	__( 'Same window', 'sw_woocommerce' ) => '_self',
	__( 'New window', 'sw_woocommerce' ) => "_blank"
);	
$args = array(
			'type' => 'post',
			'child_of' => 0,
			'parent' => 0,
			'orderby' => 'name',
			'order' => 'ASC',
			'hide_empty' => false,
			'hierarchical' => 1,
			'exclude' => '',
			'include' => '',
			'number' => '',
			'taxonomy' => 'product_cat',
			'pad_counts' => false,

		);
		$product_categories_dropdown = array( __( 'All Categories Products', 'sw_woocommerce' ) => '' );
		$categories = get_categories( $args );
		foreach($categories as $category){
			$product_categories_dropdown[$category->name] = $category -> slug;
		}
$menu_locations_array = array( __( 'All Categories', 'sw_woocommerce' ) => '' );
$menu_locations = wp_get_nav_menus();	
foreach ($menu_locations as $menu_location){
	$menu_locations_array[$menu_location->name] = $menu_location -> slug;
}

$terms = get_terms( 'product_cat', array( 'parent' => '', 'hide_empty' => false ) );
	$term = array( __( 'All Categories', 'sw_woocommerce' ) => '' );
	if( count( $terms )  > 0 ){
		foreach( $terms as $cat ){
			$term[$cat->name] = $cat -> slug;
		}
	}

/***********************************
*Accordion Recommend Product
************************************/
vc_map( array(
	'name' => __( 'Sw Accordion Recommend Product', 'sw_woocommerce' ),
	'base' => 'accordion_recommend_product',
	'icon' => 'icon-wpb-ytc',
	'category' => __( 'SW Shortcodes', 'sw_woocommerce' ),
	'class' => 'wpb_vc_wp_widget',
	'weight' => - 50,
	'description' => __( 'Display accordion recommend product', 'sw_woocommerce' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => __( 'Title', 'sw_woocommerce' ),
			'param_name' => 'title',
			'description' => __( 'What text use as a widget title. Leave blank to use default widget title.', 'sw_woocommerce' )
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Number of product to show', 'sw_woocommerce' ),
			'param_name' => 'numberposts',
			'admin_label' => true
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Order way', 'sw_woocommerce' ),
			'param_name' => 'order',
			'value' => array(
				__( 'Descending', 'sw_woocommerce' ) => 'DESC',
				__( 'Ascending', 'sw_woocommerce' ) => 'ASC'
			),
			'description' => sprintf( __( 'Designates the ascending or descending order. More at %s.', 'sw_woocommerce' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
		),
				
		array(
			'type' => 'dropdown',
			'heading' => __( 'Order by', 'sw_woocommerce' ),
			'param_name' => 'orderby',
			'value' => array(
				'Select orderby',
				__( 'Date', 'sw_woocommerce' ) => 'date',
				__( 'ID', 'sw_woocommerce' ) => 'ID',
				__( 'Author', 'sw_woocommerce' ) => 'author',
				__( 'Title', 'sw_woocommerce' ) => 'title',
				__( 'Modified', 'sw_woocommerce' ) => 'modified',
				__( 'Random', 'sw_woocommerce' ) => 'rand',
				__( 'Comment count', 'sw_woocommerce' ) => 'comment_count',
				__( 'Menu order', 'sw_woocommerce' ) => 'menu_order'
			),
			'description' => sprintf( __( 'Select how to sort retrieved posts. More at %s.', 'sw_woocommerce' ), '<a href="http://codex.wordpress.org/Class_Reference/WP_Query#Order_.26_Orderby_Parameters" target="_blank">WordPress codex page</a>' )
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'sw_woocommerce' ),
			'param_name' => 'el_class',
			'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'sw_woocommerce' )
		),	
	)
) );
/////////////////// best sale /////////////////////
vc_map( array(
	'name' => __( 'SW Best Sale', 'flytheme' ),
	'base' => 'BestSale',
	'icon' => 'icon-wpb-ytc',
	'category' => __( 'SW Shortcodes', 'flytheme' ),
	'class' => 'wpb_vc_wp_widget',
	'weight' => - 50,
	'description' => __( 'Display bestseller', 'flytheme' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => __( 'Widget title', 'flytheme' ),
			'param_name' => 'title',
			'description' => __( 'What text use as a widget title. Leave blank to use default widget title.', 'flytheme' )
		),
		array(
			'type' => 'attach_images',
			'heading' => __( 'Banner Images', 'flytheme' ),
			'param_name' => 'images',
			'description' => __( 'Select images', 'flytheme' ),
			"dependency" => array(
						'element' => 'template',
						'value' => 'slide' 
					),
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Template', 'flytheme' ),
			'param_name' => 'template',
			'value' => array(
				'Select type',
				__( 'Default', 'flytheme' ) => 'default',
				__( 'Slide', 'flytheme' ) => 'slide',
			),
			'description' => sprintf( __( 'Select different style best sale.', 'flytheme' ) )
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Number of products to slide', 'flytheme' ),
			'param_name' => 'item_slide',
			'admin_label' => true,
			'dependency' => array(
					'element' => 'template',
					'value' => array( 'slide' ),
				)
		),
		
		array(
			'type' => 'textfield',
			'heading' => __( 'Number of posts to show', 'yatheme' ),
			'param_name' => 'number',
			'admin_label' => true
		),
		
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'flytheme' ),
			'param_name' => 'el_class',
			'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'flytheme' )
		),	
	)
) );
/////////////////// Featured product /////////////////////
vc_map( array(
	'name' => __( 'SW Featured Product', 'flytheme' ),
	'base' => 'Featured',
	'icon' => 'icon-wpb-ytc',
	'category' => __( 'SW Shortcodes', 'flytheme' ),
	'class' => 'wpb_vc_wp_widget',
	'weight' => - 50,
	'description' => __( 'Display Featured', 'flytheme' ),
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => __( 'Widget title', 'flytheme' ),
			'param_name' => 'title',
			'description' => __( 'What text use as a widget title. Leave blank to use default widget title.', 'flytheme' )
		),
		array(
			'type' => 'attach_images',
			'heading' => __( 'Banner Images', 'flytheme' ),
			'param_name' => 'images',
			'description' => __( 'Select images', 'flytheme' ),
			"dependency" => array(
						'element' => 'template',
						'value' => 'slide' 
					),
		),
		array(
			'type' => 'dropdown',
			'heading' => __( 'Template', 'flytheme' ),
			'param_name' => 'template',
			'value' => array(
				'Select type',
				__( 'Default', 'flytheme' ) => 'default',
				__( 'Slide', 'flytheme' ) => 'slide',
			),
			'description' => sprintf( __( 'Select different style best sale.', 'flytheme' ) )
		),
		array(
			'type' => 'textfield',
			'heading' => __( 'Number of products to slide', 'flytheme' ),
			'param_name' => 'item_slide',
			'admin_label' => true,
			'dependency' => array(
					'element' => 'template',
					'value' => array( 'slide' ),
				)
		),
		
		array(
			'type' => 'textfield',
			'heading' => __( 'Number of posts to show', 'yatheme' ),
			'param_name' => 'number',
			'admin_label' => true
		),
		
		array(
			'type' => 'textfield',
			'heading' => __( 'Extra class name', 'flytheme' ),
			'param_name' => 'el_class',
			'description' => __( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'flytheme' )
		),	
	)
) );
}
?>