<?php 
/* Display footer or not */
if( !get_post_meta( get_the_ID(), 'page_footer_hide', true ) ) :
	
	?>
<?php $market_copyright_text = market_options()->getCpanelValue( 'footer_copyright' ); ?>
<footer id="footer" class="footer default theme-clearfix">
	<!-- Content footer -->
	<div class="container">
		<?php 
		$market_page_footer = ( get_post_meta( get_the_ID(), 'page_footer_style', true ) != '' ) ? get_post_meta( get_the_ID(), 'page_footer_style', true ) : market_options()->getCpanelValue( 'footer_style' );
		if( $market_page_footer != '' ) :
			echo market_get_content_by_id( $market_page_footer );
		endif;
		?>
		<!-- Copyright text -->
	</div>
	<div class="footer-copyright">
		<div class="container">
			<div class="copyright-left">
				<?php if( $market_copyright_text == '' ) : ?>
					<p>&copy;<?php echo date('Y') .' '. esc_html__('WordPress Theme SW market. All Rights Reserved. Designed by ','sw-market'); ?><a class="mysite" href="http://www.smartaddons.com.com/"><?php esc_html_e('SmartAddons.com','sw-market');?></a></p>
				<?php else : ?>
					<?php echo wp_kses( $market_copyright_text, array( 'a' => array( 'href' => array(), 'title' => array(), 'class' => array() ), 'p' => array()  ) ) ; ?>
				<?php endif; ?>
			</div>
			<?php if ( market_sidebar_check('check-copyright') ) {?>
			<div class="check-copyright">
				<?php dynamic_sidebar('check-copyright'); ?>
			</div>
			<?php }?>
		</div>
	</div>
</footer>
<?php endif; ?>
</div>
<?php wp_footer(); ?>
</body>
</html>