<?php

/**
 * Add Theme Options page.
 */
function market_theme_admin_page(){
	add_theme_page(
		esc_html__('Theme Options', 'sw-market'),
		esc_html__('Theme Options', 'sw-market'),
		'manage_options',
		'market_theme_options',
		'market_theme_admin_page_content'
	);
}
add_action('admin_menu', 'market_theme_admin_page', 49);

function market_theme_admin_page_content(){ ?>
	<div class="wrap">
		<h2><?php esc_html_e( 'Blank Advanced Options Page', 'sw-market' ); ?></h2>
		<?php do_action( 'market_theme_admin_content' ); ?>
	</div>
<?php
}