<?php
/***** Active Plugin ********/
require_once( get_template_directory().'/lib/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'market_register_required_plugins' );
function market_register_required_plugins() {
    $plugins = array(
        array(
            'name'               => esc_html__( 'WooCommerce', 'sw-market' ), 
            'slug'               => 'woocommerce', 
            'required'           => true, 
            'version'			 => '3.2.4'
            ),

        array(
            'name'               => esc_html__( 'Revslider', 'sw-market' ), 
            'slug'               => 'revslider', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_market/plugins/revslider.zip' ), 
            'required'           => true, 
            'version'            => '5.4.6.3.1'
            ),

        array(
            'name'     			 => esc_html__( 'SW Core', 'sw-market' ),
            'slug'      		 => 'sw_core',
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_market/plugins/sw_core.zip' ), 
            'required'  		 => true,
            'version'            => '1.1.0'
            ),

        array(
            'name'     			 => esc_html__( 'SW WooCommerce', 'sw-market' ),
            'slug'      		 => 'sw_woocommerce',
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_market/plugins/sw_woocommerce.zip' ), 
            'required'  		 => true,
            'version'            => '1.2.2'
            ),

        array(
            'name'               => esc_html__( 'One Click Install', 'sw-market' ), 
            'slug'               => 'one-click-install', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_market/plugins/one-click-install.zip' ), 
            'required'           => true, 
            ),
        array(
            'name'               => esc_html__( 'Visual Composer', 'sw-market' ), 
            'slug'               => 'js_composer', 
            'source'             => esc_url( 'http://demo.wpthemego.com/themes/sw_market/plugins/js_composer.zip' ), 
            'required'           => true,
            'version'            => '5.4.3'
            ), 
        array(
            'name'     			 => esc_html__( 'WordPress Importer', 'sw-market' ),
            'slug'      		 => 'wordpress-importer',
            'required' 			 => true,
            ), 
        array(
            'name'      		 => esc_html__( 'MailChimp for WordPress Lite', 'sw-market' ),
            'slug'     			 => 'mailchimp-for-wp',
            'required' 			 => false,
            ),
        array(
            'name'      		 => esc_html__( 'Contact Form 7', 'sw-market' ),
            'slug'     			 => 'contact-form-7',
            'required' 			 => false,
            ),		
        array(
            'name'      		 => esc_html__( 'YITH Woocommerce Compare', 'sw-market' ),
            'slug'      		 => 'yith-woocommerce-compare',
            'required'			 => false
            ),
        array(
            'name'     			 => esc_html__( 'YITH Woocommerce Wishlist', 'sw-market' ),
            'slug'      		 => 'yith-woocommerce-wishlist',
            'required' 			 => false
            ), 
        array(
            'name'     			 => esc_html__( 'WordPress Seo', 'sw-market' ),
            'slug'      		 => 'wordpress-seo',
            'required'  		 => false,
            ),

        );
$config = array();

tgmpa( $plugins, $config );

}
add_action( 'vc_before_init', 'market_vcSetAsTheme' );
function market_vcSetAsTheme() {
    vc_set_as_theme();
}