<?php get_header(); ?>
<?php 
$market_sidebar_template	= get_post_meta( get_the_ID(), 'page_sidebar_layout', true );
$market_sidebar 					= get_post_meta( get_the_ID(), 'page_sidebar_template', true );
?>

<div class="market_breadcrumbs">
	<div class="container">
		<?php
		if (!is_front_page() ) {
			if (function_exists('market_breadcrumb')){
				market_breadcrumb('<div class="breadcrumbs custom-font theme-clearfix">', '</div>');
			} 
		} 
		?>
		<div class="listing-title">			
			<h1><span><?php market_title(); ?></span></h1>				
		</div>
	</div>
</div>	
<div class="container">
	<div class="row">
		<?php 
		if ( market_sidebar_check( $market_sidebar ) && $market_sidebar_template != 'right' && $market_sidebar_template !='full' ):
			$market_left_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_left_expand');
		$market_left_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_left_expand_md');
		$market_left_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_left_expand_sm');
		?>
		<aside id="left" class="sidebar <?php echo esc_attr( $market_left_span_class ); ?>">
			<?php dynamic_sidebar( $market_sidebar ); ?>
		</aside>
	<?php endif; ?>
	
	<div id="contents" role="main" class="main-page <?php market_content_page(); ?>">
		<?php
		get_template_part('templates/content', 'page')
		?>
	</div>
	<?php 
	if ( market_sidebar_check( $market_sidebar ) && $market_sidebar_template != 'left' && $market_sidebar_template !='full' ):
		$market_left_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_left_expand');
	$market_left_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_left_expand_md');
	$market_left_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_left_expand_sm');
	?>
	<aside id="right" class="sidebar <?php echo esc_attr($market_left_span_class); ?>">
		<?php dynamic_sidebar( $market_sidebar ); ?>
	</aside>
<?php endif; ?>
</div>		
</div>
<?php get_footer(); ?>

