
<?php get_template_part('header'); ?>
<?php $market_sidebar_template = market_options()->getCpanelValue('sidebar_blog') ;?>

<div class="market_breadcrumbs">
	<div class="container">
		<?php
			if (!is_front_page() ) {
				if (function_exists('market_breadcrumb')){
					market_breadcrumb('<div class="breadcrumbs custom-font theme-clearfix">', '</div>');
				} 
			} 
		?>
	</div>
</div>

<div class="container">
	<div class="row">
		<?php if ( market_sidebar_check('left-blog') && $market_sidebar_template != 'right_sidebar' && $market_sidebar_template !='full' ):
			$market_left_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_left_expand');
			$market_left_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_left_expand_md');
			$market_left_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_left_expand_sm');
		?>
		<aside id="left" class="sidebar <?php echo esc_attr($market_left_span_class); ?>">
			<?php dynamic_sidebar('left-blog'); ?>
		</aside>
		<?php endif; ?>

		<div class="single main <?php market_content_blog(); ?>" >
			<?php get_template_part('templates/content', 'single');	?>
		</div>
		<?php if ( market_sidebar_check('right-blog') && $market_sidebar_template !='left_sidebar' && $market_sidebar_template !='full' ):
			$market_right_span_class = 'col-lg-'.market_options()->getCpanelValue('sidebar_right_expand');
			$market_right_span_class .= ' col-md-'.market_options()->getCpanelValue('sidebar_right_expand_md');
			$market_right_span_class .= ' col-sm-'.market_options()->getCpanelValue('sidebar_right_expand_sm');
		?>
		<aside id="right" class="sidebar <?php echo esc_attr($market_right_span_class); ?>">
			<?php dynamic_sidebar('right-blog'); ?>
		</aside>
		<?php endif; ?>
	</div>	
</div>
<?php get_template_part('footer'); ?>
