<?php while (have_posts()) : the_post(); ?>
	<?php $related_post_column = market_options()->getCpanelValue('sidebar_blog'); ?>
	<div <?php post_class(); ?>>
		<?php $pfm = get_post_format();?>
		<div class="entry-wrap">
			<div class="entry-content clearfix">
				<h1 class="entry-title clearfix"><?php the_title(); ?></h1>
				<div class="entry-meta clearfix">
					<div class="entry-date pull-left">
						<?php if( get_the_title() == '' ) { echo '<a href="'.get_the_permalink().'">'; } ?>
						<span class="post_day"><i class="fa fa-calendar" aria-hidden="true"></i><?php the_time('l, F j, Y'); ?></span>
						<?php if( get_the_title() == '' ) { echo '</a>'; } ?>
					</div>
				</div>
				<?php if( $pfm == '' || $pfm == 'image' ){?>
				<?php if( has_post_thumbnail() ){ ?>
				<div class="entry-thumb single-thumb">
					<?php the_post_thumbnail('market_detail_thumb'); ?>
				</div>
				<?php } }?>
				<div class="entry-summary single-content ">
					<?php the_content(); ?>
					<div class="clear"></div>
					<!-- link page -->
					<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'sw-market' ).'</span>', 'after' => '</div>' , 'link_before' => '<span>', 'link_after'  => '</span>' ) ); ?>	
				</div>
				<div class="clear"></div>			
			</div>
		</div>

		<div class="clearfix"></div>
		<?php if( get_the_author_meta( 'description', $post->post_author ) != '' ): ?>
		<div id="authorDetails" class="clearfix">
			<h4 class="title"><?php esc_html_e( 'About the author', 'sw-market' ) ?> </h4>
			<div class="authorDetail">
				<?php get_the_author_meta() ?>
				<div class="avatar">
					<?php echo get_avatar( $post->post_author , 100 ); ?>
				</div>
				<div class="infomation">
					<h4 class="name-author"><span><?php echo get_the_author()?></span></h4>
					<p><?php echo the_author_meta('description') ;?></p>
				</div>
			</div>
		</div> 
		<?php endif; ?>
		<div class="clearfix"></div>
		<!-- Relate Post -->
		<?php 
		global $post;
		global $related_term;
		$class_col= "";
		$categories = get_the_category($post->ID);								
		$category_ids = array();
		foreach($categories as $individual_category) {$category_ids[] = $individual_category->term_id;}
		if ($categories) {
			if($related_post_column =='full'){
				$class_col .= 'col-lg-3 col-md-3 col-sm-12 col-xs-12';
				$related = array(
					'category__in' => $category_ids,
					'post__not_in' => array($post->ID),
					'showposts'=>4,
					'orderby'	=> 'rand',	
					'ignore_sticky_posts'=>1
					);
			} else {
				$class_col .= 'col-lg-4 col-md-4 col-sm-12 col-xs-12';
				$related = array(
					'category__in' => $category_ids,
					'post__not_in' => array($post->ID),
					'showposts'=>3,
					'orderby'	=> 'rand',	
					'ignore_sticky_posts'=>1
					);
			} 
			?>
			<div class="single-post-relate">
				<h4><?php esc_html_e('Related Posts', 'sw-market'); ?></h4>
				<div class="row">
					<?php
					$related_term = new WP_Query($related);
					while($related_term -> have_posts()):$related_term -> the_post();
					$format = get_post_format();
					?>
					<div <?php post_class( $class_col ); ?> >
						<?php if ( get_the_post_thumbnail() ) { ?>
						<div class="item-relate-img">
							<div class="entry-meta">
								<span class="latest_post_date">
									<span class="post_day"><?php the_time('d'); ?></span>
									<span class="post_my"><?php the_time('M'); ?></span>
								</span>
							</div>
							<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('market_related_post'); ?></a>
						</div>
						<?php } ?>

						<div class="item-relate-content">
							<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
							<p>
								<?php
								$text = strip_shortcodes( $post->post_content );
								$text = apply_filters('the_content', $text);
								$text = str_replace(']]>', ']]&gt;', $text);
								$content = wp_trim_words($text, 10,'...');
								echo esc_html( $content );
								?>
							</p>
						</div>
					</div>
					<?php
					endwhile;
					wp_reset_postdata();
					?>
				</div>
			</div>
			<?php } ?>

			<div class="clearfix"></div>
			<!-- Comment Form -->
			<?php comments_template('/templates/comments.php'); ?>
		</div>
	<?php endwhile; ?>
