<?php $market_my_phone = market_options()->getCpanelValue('phone_number'); ?>
<header id="header" class="header-style3">
	<div class="header-top">
		<div class="container">
			<?php if ( market_sidebar_check('top-left2') ) {?>
			<div id="sidebar-top-left2" class="sidebar-top-left2 pull-left">
				<?php dynamic_sidebar('top-left2'); ?>
			</div>
			<?php }?>
			<?php if ( market_sidebar_check('top-right2') ) {?>
			<div id="sidebar-top-right2" class="sidebar-top-right2 pull-right">
				<?php dynamic_sidebar('top-right2'); ?>
			</div>
			<?php }?>
		</div>
	</div>
	<div class="header-mid">
		<div class="container">
			<div class="market-logo pull-left">
				<?php market_logo(); ?>
			</div>
			<?php get_template_part( 'woocommerce/minicart-ajax-style1' ); ?>
			<?php if($market_my_phone != '') {?>
			<div class="box-contact-phone pull-right">
				<h2><?php esc_html_e('Call us now','sw-market') ;?></h2>
				<p><?php esc_html_e('Toll free : ','sw-market') ;?><?php echo esc_html( $market_my_phone ) ?></p>
			</div>
			<?php }?>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<div class="row">
				<div class="col-lg-8 col-md-8 col-sm-7 primary-menu-home pull-left">
					<?php if ( has_nav_menu('primary_menu') ) { ?>
					<div id="main-menu" class="main-menu clearfix">
						<nav id="primary-menu" class="primary-menu">
							<div class="mid-header clearfix">
								<a href="#" class="phone-icon-menu"></a>
								<div class="navbar-inner navbar-inverse">					
									<?php wp_nav_menu( array('theme_location' => 'primary_menu', 'menu_class' => 'nav nav-pills' ) ); ?>
								</div>
							</div>
						</nav>
					</div>			
					<?php } ?>
				</div>
				<div id="sidebar-mid-header" class="col-lg-4 col-md-4 col-sm-5 sidebar-mid-header pull-right">
					<div class="widget sw_mid">
						<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</header>