<?php $market_my_phone = market_options()->getCpanelValue('phone_number'); ?>
<header id="header" class="header-style4">
	<div class="header-top">
		<div class="container">
			<?php if ( market_sidebar_check('top-left2') ) {?>
			<div id="sidebar-top-left2" class="sidebar-top-left2 pull-left">
				<?php dynamic_sidebar('top-left2'); ?>
			</div>
			<?php }?>
			<?php if($market_my_phone != '') { ?>
			<div class="sw_market_phone pull-left">
				<div class="main-phone">
					<span><?php esc_html_e('Contact us toll free: ', 'sw-market') ?></span><label><?php echo esc_html( $market_my_phone ); ?></label>
				</div>
			</div>
			<?php } ?>
			<?php if ( market_sidebar_check('top-right') ) {?>
			<div id="sidebar-top-right" class="sidebar-top-right pull-right">
				<?php dynamic_sidebar('top-right'); ?>
			</div>
			<?php }?>
		</div>
	</div>
	<div class="header-mid">
		<div class="container">
			<div class="market-logo pull-left">
				<?php market_logo(); ?>
			</div>
			<?php if ( market_sidebar_check('top-left') ) {?>
			<div id="sidebar-top-left" class="sidebar-top-left pull-right">
				<?php dynamic_sidebar('top-left'); ?>
			</div>
			<?php }?>
			<a class="yith-woocompare-open pull-right" href="#" title="<?php esc_html_e( 'View my Compare', 'sw-market' ); ?>"><?php esc_html_e( 'Compare', 'sw-market' ); ?><i class="fa fa-bar-chart" aria-hidden="true"></i></a>
			<?php if( function_exists( 'YITH_WCWL' ) ){ ?>
			<div class="market-wishlist pull-right">
				<?php 								
				$wishlist_page_id  = yith_wcwl_object_id( get_option( 'yith_wcwl_wishlist_page_id' ) );
				$wishlist_permalink = trailingslashit( get_the_permalink( $wishlist_page_id ) );
				?>
				<a href="<?php echo esc_url( $wishlist_permalink ) ?>" title="<?php esc_html_e( 'View my Wishlist', 'sw-market' ); ?>"><i class="fa fa-heart" aria-hidden="true"></i></a>
			</div>
			<?php } ?>
		</div>
	</div>
	<div class="header-bottom">
		<div class="container">
			<?php if ( has_nav_menu('vertical_menu') ) {?>
			<div class="vertical_megamenu-header verticle-menu-index pull-left">
				<div class="mega-left-title"><strong><?php esc_html_e('All Categories','sw-market')?></strong></div>
				<div class="wrapper_vertical_menu vertical_megamenu">
					<?php wp_nav_menu(array('theme_location' => 'vertical_menu', 'menu_class' => 'nav vertical-megamenu')); ?>
				</div>
			</div>
			<?php } ?>
			<div id="sidebar-mid-header" class="sidebar-mid-header pull-left">
				<div class="widget sw_mid">
					<?php get_template_part( 'widgets/sw_top/searchcate' ); ?>
				</div>
			</div>
			<?php get_template_part( 'woocommerce/minicart-ajax-style1' ); ?>
		</div>
	</div>
</header>
