<header id="header" class="header-style5">
	<?php if ( market_sidebar_check('top-home5') ) {?>
	<div id="sidebar-top-home" class="sidebar-top-home">
		<?php dynamic_sidebar('top-home5'); ?>
	</div>
	<?php }?>
	<div class="container">
		<div class="header-top clearfix">
			<?php if ( market_sidebar_check('top-left') ) {?>
			<div id="sidebar-top-left" class="sidebar-top-left pull-left">
				<?php dynamic_sidebar('top-left'); ?>
			</div>
			<?php }?>
			<?php get_template_part( 'woocommerce/minicart-ajax' ); ?>
			<?php if ( market_sidebar_check('top-right3') ) {?>
			<div id="sidebar-top-right3" class="sidebar-top-right3 pull-right">
				<span class="sidebar-log"><i class="fa fa-user" aria-hidden="true"></i></span>
				<div class="sidebar-log-info clearfix">
					<?php dynamic_sidebar('top-right3'); ?>
				</div>
			</div>
			<?php }?>
		</div>
		<div class="header-mid clearfix">
			<div class="col-md-3 col-sm-12 col-xs-12"></div>
			<div class="market-logo col-md-6 col-sm-12 col-xs-12">
				<?php market_logo(); ?>
			</div>
			<div class="sidebar-mid-header col-md-3 col-sm-12 col-xs-12 pull-right">
				<div class="widget sw_mid">
					<?php get_template_part( 'widgets/sw_top/search' ); ?>
				</div>
			</div>
		</div>
		<div class="header-bottom clearfix">
			<div class="container">
				<div class="row">
					<div class="market-logo pull-left">
						<?php market_logo(); ?>
					</div>
					<div class="col-md-8 col-sm-7 primary-menu-home pull-left">
						<?php if ( has_nav_menu('primary_menu') ) { ?>
						<div id="main-menu" class="main-menu clearfix">
							<nav id="primary-menu" class="primary-menu">
								<div class="mid-header clearfix">
									<a href="#" class="phone-icon-menu"></a>
									<div class="navbar-inner navbar-inverse">					
										<?php wp_nav_menu( array('theme_location' => 'primary_menu', 'menu_class' => 'nav nav-pills' ) ); ?>
									</div>
								</div>
							</nav>
						</div>	
						<?php } ?>
					</div>
					<?php if ( market_sidebar_check('menu-right') ) {?>
					<div class="sidebar-menu-right col-md-3 col-sm-5 pull-right">
						<?php dynamic_sidebar('menu-right'); ?>
					</div>
					<?php }?>
					<?php get_template_part( 'woocommerce/minicart-ajax' ); ?>
					<div class="sidebar-mid-header pull-right">
						<div class="widget sw_mid">
							<?php get_template_part( 'widgets/sw_top/search' ); ?>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</header>