<?php 
$widget_id = isset( $widget_id ) ? $widget_id : 'sw_testimonial'.rand().time();
$default = array(
	'post_type' => 'testimonial',
	'orderby' => $orderby,
	'order' => $order,
	'post_status' => 'publish',
	'showposts' => $numberposts
	);
$list = new WP_Query( $default );
if ( count($list) > 0 ){
	$i = 0;
	$j = 0;
	$b = 0;
	?>
	<div id="<?php echo esc_attr( $widget_id ) ?>" class="client-wrapper-style2 carousel slide <?php echo esc_attr( $el_class ) ?>" data-interval="0">
		<?php if( $title != '' ){ ?>
			<h2><?php echo $title ?></h2>
		<?php } ?>
		<div class="dots-testimonial">
				<ul class="image-client carousel-indicators">
					<?php 
					while($list->have_posts()): $list->the_post();				
					global $post;
					$au_name = get_post_meta( $post->ID, 'au_name', true );
					$au_url  = get_post_meta( $post->ID, 'au_url', true );
					$au_info = get_post_meta( $post->ID, 'au_info', true );
					$active = ( $i== 0 ) ? 'active' :'';
					if( $i % 1 == 0 ){ $b++;
						?>
						<li class="img-indicator <?php echo esc_attr( $active ) ?>" data-slide-to="<?php echo ($b-1) ?>" data-target="#<?php echo esc_attr( $widget_id ) ?>">
							<?php } ?>
							<a href="#" title="<?php echo esc_attr( $post->post_title ) ?>"><?php the_post_thumbnail('medium')?></a>
							<?php if( ( $i+1 ) % 1 == 0 || ( $i+1 ) == $numberposts ){ ?>
						</li>
						<?php } ?> 
						<?php $i++; endwhile; wp_reset_postdata();  ?>
					</ul>
					<!-- Controls -->
					<a class="left carousel-control" href="#<?php echo esc_attr( $widget_id ) ?>" role="button" data-slide="prev">
						<span class="fa fa-chevron-left" aria-hidden="true"></span>
					</a>
					<a class="right carousel-control" href="#<?php echo esc_attr( $widget_id ) ?>" role="button" data-slide="next">
						<span class="fa fa-chevron-right" aria-hidden="true"></span>
					</a>
				</div>
		<div class="carousel-inner">
			<?php 
			while($list->have_posts()): $list->the_post();				
			global $post;
			$au_name = get_post_meta( $post->ID, 'au_name', true );
			$au_url  = get_post_meta( $post->ID, 'au_url', true );
			$au_info = get_post_meta( $post->ID, 'au_info', true );
			if( $j % 1 == 0 ){
				$active = ( $j== 0 ) ? 'active' :'';
				?>
				<div class="item <?php echo esc_attr( $active ) ?>">
					<?php } ?>
					<div class="item-inner">		
						<?php if( has_post_thumbnail() ){ ?>
						<div class="client-comment">
							<?php 
							$text = get_the_content($post->ID);
							$content = wp_trim_words($text, $length);
							echo esc_html($content);
							?>
						</div>
						<div class="client-say-info">
							<div class="name-client">
								<h3><a href="#" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo esc_html($au_name); ?></a></h3>
								<p><a href="#" title="<?php echo esc_attr( $post->post_title ) ?>"><?php echo esc_html($au_info); ?></a></p>
							</div>
						</div>
						<?php } ?>
					</div>
					<?php if( ( $j+1 ) % 1 == 0 || ( $j+1 ) == $numberposts ){ ?>
				</div>
				<?php } ?>
				<?php $j++; endwhile; wp_reset_postdata();  ?>
			</div>
			</div>
			<?php	
		}
		?>