<?php 

$widget_id = isset( $widget_id ) ? $widget_id : 'category_slide_'.rand().time();
if( $category == '' ){
	return '<div class="alert alert-warning alert-dismissible" role="alert">
	<a class="close" data-dismiss="alert">&times;</a>
	<p>'. esc_html__( 'Please select a category for SW Woocommerce Category Slider. Layout ', 'sw_woocommerce' ) . $layout .'</p>
</div>';
}
?>
<div id="<?php echo $widget_id; ?>" class="category-list-child" >
	<?php if( $title1 != '' ){ ?>
	<div class="title">
		<h3><?php echo $title1; ?></h3>
	</div>
	<?php } ?>
	<?php if( $desciption != '' ){ ?>
	<div class="description"><?php echo $desciption; ?>
	</div>
	<?php } ?>
	<div class="row resp-slider-container">
		<?php
		if( !is_array( $category ) ){
			$category = explode( ',', $category );
		}
		foreach( $category as $cat ){
			$term = get_term_by('slug', $cat, 'product_cat');
			if( $term ) {
			$thumbnail_id1 	= get_woocommerce_term_meta( $term->term_id, 'thumbnail_id1', true );
			$thumb1 = wp_get_attachment_image( $thumbnail_id1, array(270, 140) );
			?>				
			<div class="item col-lg-3 col-md-3 col-sm-6 col-xs-6">
				<div class="item-product-cat">		
					<div class="item-thumb">
						<a href="<?php echo get_term_link( $term->term_id, 'product_cat' ); ?>">
							<?php echo $thumb1; ?>
							<span><?php esc_html_e( 'View more', 'sw_woocommerce' ) ?><i class="fa fa-caret-right" aria-hidden="true"></i></span>
						</a>
					</div>
					<div class="item-bot">
						<h3><a href="<?php echo get_term_link( $term->term_id, 'product_cat' ); ?>"><?php echo esc_html( $term->name ); ?></a></h3>
						<!-- Get child category -->
						<?php
						$termchildren = get_terms('product_cat',array('child_of' => $term->term_id));
						if( count( $termchildren ) > 0 ){
							?>
							<div class="childcat-product-cat">
								<?php 
								$termchildren = get_terms('product_cat',array('child_of' => $term->term_id));
								echo '<ul>';
								foreach ( $termchildren as $child ) {
									echo '<li><a href="' . get_term_link( $child, 'product_cat' ) . '">' . $child->name . '</a></li>';
								}
								echo '</ul>';
								?>
							</div>
							<?php } ?>
							<!-- End get child category -->	
						</div>
					</div>
				</div>
				<?php } } ?>
			</div>
		</div>		