<?php 

$widget_id = isset( $widget_id ) ? $widget_id : 'category_slide_'.rand().time();
if( $category == '' ){
	return '<div class="alert alert-warning alert-dismissible" role="alert">
	<a class="close" data-dismiss="alert">&times;</a>
	<p>'. esc_html__( 'Please select a category for SW Woocommerce Category Slider. Layout ', 'sw_woocommerce' ) . $layout .'</p>
</div>';
}
?>
<div id="<?php echo $widget_id; ?>" class="category-list-child2" >
	<?php if( $title1 != '' ){ ?>
	<div class="title">
		<h3><?php echo $title1; ?></h3>
	</div>
	<?php } ?>
	<?php if( $desciption != '' ){ ?>
	<div class="description"><?php echo $desciption; ?></div>
	<?php } ?>
	<div class="row resp-slider-container">
		<?php
		if( !is_array( $category ) ){
			$category = explode( ',', $category );
		}
		foreach( $category as $cat ){
			$term = get_term_by('slug', $cat, 'product_cat');			
			if( $term ) {
			$thumbnail_id1 	= get_woocommerce_term_meta( $term->term_id, 'thumbnail_id1', true );
			$thumb1 = wp_get_attachment_image( $thumbnail_id1, array(370, 260) );
			?>
			<div class="item col-lg-4 col-md-4 col-sm-6 col-xs-6">
				<div class="item-product-cat">
					<a href="<?php echo get_term_link( $term->term_id, 'product_cat' ); ?>">
						<?php echo $thumb1; ?>
					</a>
					<h3><a href="<?php echo get_term_link( $term->term_id, 'product_cat' ); ?>"><?php echo esc_html( $term->name ); ?></a></h3>
				</div>
			</div>
			<?php } } ?>
		</div>
	</div>		